Search
K
lodgement v1

Approve or Unapprove Lodgement Applications

This endpoint is used by conveyancing law firms to approve a lodgement case so the workspace can be prepared.

post
https://api.pexa.co.uk/partner/api/platformconnect/v1/workspaces/{workspace_id}/lodgement-approvals

Path Parameters

workspace_idstring(uuid)required

Workspace id

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Body

application/json
actionstringrequired

Action to perform on lodgement applications
Allowed values: [APPROVE, UNAPPROVE]

Match pattern:^(APPROVE|UNAPPROVE)$

Example:APPROVE

approvedBystringrequired

Email address of the user who performed the approval action

Example:approver@lawfirm.com

Response

application/json

ACCEPTED

lodgementCaseIdstring(uuid)required

Lodgement case id for which the applications will be approved or unapproved

post/partner/api/platformconnect/v1/workspaces/{workspace_id}/lodgement-approvals

Body

{ "action": "APPROVE", "approvedBy": "approver@lawfirm.com" }
 
application/json

CreateTitleRequest

object
titleNumberstringrequired

Title number format: optional 0-3 letters + 1-6 digits

Example:ABC123456

Example

AcknowledgementResponse

object
messagestringrequired

Example:Request taken up for processing

Example

LodgementApprovalsRequest

object
actionstringrequired

Action to perform on lodgement applications
Allowed values: [APPROVE, UNAPPROVE]

Match pattern:^(APPROVE|UNAPPROVE)$

Example:APPROVE

approvedBystringrequired

Email address of the user who performed the approval action

Example:approver@lawfirm.com

Example

LodgementApprovalsResponse

lodgementCaseIdstring(uuid)required

Lodgement case id for which the applications will be approved or unapproved

Example